<?php

namespace Comitium5\DesignerBundle\Factory\Layout;

use Comitium5\DesignerBundle\Factory\AbstractFactory;

/**
 * Class LayoutPageWidgetFactory
 *
 * @author Carles Gómez <carles@bab-soft.com>
 * @package Comitium5\DesignerBundle\Factory\Layout
 */
class LayoutPageWidgetFactory extends AbstractFactory
{
    /**
     * @return mixed
     */
    public function create()
    {
        $classNamespace = $this->getEntityNamespace();

        $layoutPageWidget = new $classNamespace();

        return $layoutPageWidget;
    }
}
